com.saxonica.stream

## Class SequenceTransmitter

- java.lang.Object
- - net.sf.saxon.event.SequenceReceiver
  - - net.sf.saxon.event.SequenceWriter
    - - com.saxonica.stream.SequenceTransmitter

- All Implemented Interfaces:
    Result, Receiver

      public class SequenceTransmitter
      extends SequenceWriter

  This is a SequenceWriter that passes items through to a supplied SequenceReceiver

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.event.SequenceReceiver

      `pipelineConfiguration, previousAtomic, systemId`

    - ### Fields inherited from interface javax.xml.transform.Result

      `PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SequenceTransmitter(SequenceReceiver out)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(Item item)` Abstract method to be supplied by subclasses: output one item in the sequence.

    - ### Methods inherited from class net.sf.saxon.event.SequenceWriter

      `adviseReuse, append, attribute, characters, close, comment, endDocument, endElement, namespace, processingInstruction, startContent, startDocument, startElement, usesTypeAnnotations`

    - ### Methods inherited from class net.sf.saxon.event.SequenceReceiver

      `append, getConfiguration, getNamePool, getPipelineConfiguration, getSystemId, open, setPipelineConfiguration, setSystemId, setUnparsedEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SequenceTransmitter

          public SequenceTransmitter(SequenceReceiver out)

  - ### Method Detail

    - #### write

          public void write(Item item)
                     throws XPathException

      Description copied from class: `SequenceWriter`
      Abstract method to be supplied by subclasses: output one item in the sequence.
      Specified by:
        `write` in class `SequenceWriter`
      Parameters:
        `item` - the item to be written to the sequence
      Throws:
        `XPathException` - if any failure occurs while writing the item

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.